Bug 220993 - libgai requires text relocation
libgai requires text relocation
Product: Fedora
Classification: Fedora
Component: gai (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-12-29 23:00 EST by Jerry James
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-07 06:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec patch (268 bytes, patch)
2006-12-30 10:35 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Jerry James 2006-12-29 23:00:21 EST
Description of problem:
Attempting to run gai-temp results in an AVC denial, with this message:

SELinux is preventing /usr/bin/gai-temp from loading /usr/lib/libgai.so.0.5.10
which requires text relocation.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install gai and gai-temp.
2. Run gai-temp.
Actual results:
SELinux issues an AVC denial due to the text relocation in libgai.

Expected results:
gai-temp should run normally.

Additional info:
Comment 1 Michael Schwendt 2006-12-30 10:35:58 EST
Created attachment 144582 [details]
spec patch
Comment 2 Michael Schwendt 2007-01-07 06:42:09 EST
gai-0.5.10-9.fc6 will fix this with next push of packages.

Note You need to log in before you can comment on or make changes to this bug.